package hoge;
import java.text.DateFormat;
import java.text.SimpleDateFormat;
import java.util.Calendar;
import java.util.GregorianCalendar;
import java.util.TimeZone;

import jp.kaburobo.driver.KabuRoboDriver;



/**
 * Ƀ{bgw肵Ďs
 * [JfobOp
 */
public class KaburoboLauncher {

	public static void main(String[] args) throws Exception{

	    String robotClass = SimpleRobot.class.getName();
	    if(args.length > 0){
	        robotClass = args[0];
	    }

	    System.setProperty("kaburobo.home", 
	            "@kaburobo.home@");


	    //S@΂
	    launch(robotClass, "2004-04-01","2004-04-30");

	    //U@㏸
	    //launch(robotClass, "2004-06-01","2004-06-30");

	    //V@~
	    //launch(robotClass, "2004-07-01","2004-07-31");

	    //S`VCbL
		//launch(robotClass, "2004-05-01","2004-05-31");
	    
	    //Z
		//launch(robotClass, "2004-04-01","2004-04-11");
	}
	
	
	private static void launch( String robotoClass, String startDateStr, String lastDateStr) throws Exception{
	    
		KabuRoboDriver launcher = new KabuRoboDriver();
		DateFormat dateFormat = new SimpleDateFormat("yyyy-MM-dd");
		TimeZone.setDefault(TimeZone.getTimeZone("Asia/Tokyo"));
		Calendar startDate = new GregorianCalendar();
		Calendar endDate = new GregorianCalendar();

		startDate.setTime(dateFormat.parse(startDateStr));
		endDate.setTime(dateFormat.parse(lastDateStr));

		launcher.setStartDate(startDate);
		launcher.setEndDate(endDate);
				
		launcher.start(robotoClass);

	}
	
}
